name: tankguru_flutter_app_appwrite
description: "Appwrite StarterKit in Flutter"
publish_to: "none"

version: 1.0.0

environment:
  sdk: ^3.5.4

dependencies:
  appwrite: ^14.0.0
  cupertino_icons: ^1.0.8
  fl_chart: ^1.0.0
  flutter:
    sdk: flutter
  flutter_dotenv: ^5.2.1
  flutter_launcher_icons: ^0.14.3
  geolocator: ^13.0.1
  get: ^4.6.6
  get_storage: ^2.1.1
  http: ^1.4.0
  intl: ^0.20.2
  latlong2: ^0.9.1
  pdf: ^3.11.3
  printing: ^5.14.2
  url_launcher: ^6.3.1
  window_manager: ^0.4.3

dependency_overrides:
  flutter_web_auth_2: 4.1.0

dev_dependencies:
  flutter_lints: ^5.0.0
  flutter_native_splash: ^2.4.4

flutter_icons:
  android: true
  ios: true
  image_path: "lib/icons/gasolineCyberpunk.png"

flutter:
  uses-material-design: true
  assets:
    - .env
    - lib/images/
    - lib/icons/
